List screening webhooks
curl --request GET \
--url https://admin-api.gominerva.com/v2/webhooks/screening \
--header 'x-api-key: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/webhooks/screening",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/webhooks/screening"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin-api.gominerva.com/v2/webhooks/screening")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/webhooks/screening")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match",
"accepted",
"rejected"
]
}
],
"url": "https://your.web.site/path"
}
],
"totalRecords": 1,
"totalPages": 1
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Screening Webhooks
List screening webhooks
Lists the screening webhooks previously created in the requester’s tenant. Use it to extract the webhooks currently in place for the tenant, for reference or cleanup.
GET
/
v2
/
webhooks
/
screening
List screening webhooks
curl --request GET \
--url https://admin-api.gominerva.com/v2/webhooks/screening \
--header 'x-api-key: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/webhooks/screening",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/webhooks/screening"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin-api.gominerva.com/v2/webhooks/screening")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/webhooks/screening")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match",
"accepted",
"rejected"
]
}
],
"url": "https://your.web.site/path"
}
],
"totalRecords": 1,
"totalPages": 1
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Authorizations
Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.
Query Parameters
The current page cursor to fetch, starting at 1
Required range:
x >= 1The number of records to fetch per page
Required range:
1 <= x <= 100